Bug 442977

Summary: gmenu python module locks up
Product: [Fedora] Fedora Reporter: Luke Macken <lmacken>
Component: gnome-menusAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: high    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-18 11:47:57 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235706    

Description Luke Macken 2008-04-17 19:55:18 EDT
Description of problem:
>>> import gmenu
>>> gmenu.lookup_tree('applications.menu').root

(process:2808): GLib-GObject-CRITICAL **: gtype.c:2248: initialization assertion
failed, use IA__g_type_init() prior to this function

(process:2808): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite:
assertion `G_TYPE_IS_INTERFACE (interface_type)' failed

(process:2808): GLib-GObject-CRITICAL **: gtype.c:2248: initialization assertion
failed, use IA__g_type_init() prior to this function

(process:2808): GLib-CRITICAL **: g_once_init_leave: assertion
`initialization_value != 0' failed

(process:2808): GLib-GObject-CRITICAL **: gtype.c:2248: initialization assertion
failed, use IA__g_type_init() prior to this function

(process:2808): GLib-CRITICAL **: g_once_init_leave: assertion
`initialization_value != 0' failed

<statement runs forever using 100% CPU>



$ ldd -u /usr/lib/python2.5/site-packages/gmenu.so 
      2786:	/usr/lib/python2.5/site-packages/gmenu.so: error: symbol lookup
error: undefined symbol: _Py_ZeroStruct (continued)
undefined symbol: _Py_ZeroStruct	(/usr/lib/python2.5/site-packages/gmenu.so)
      2786:	/usr/lib/python2.5/site-packages/gmenu.so: error: symbol lookup
error: undefined symbol: PyExc_TypeError (continued)
undefined symbol: PyExc_TypeError	(/usr/lib/python2.5/site-packages/gmenu.so)
      2786:	/usr/lib/python2.5/site-packages/gmenu.so: error: symbol lookup
error: undefined symbol: _Py_TrueStruct (continued)
undefined symbol: _Py_TrueStruct	(/usr/lib/python2.5/site-packages/gmenu.so)
      2786:	/usr/lib/python2.5/site-packages/gmenu.so: error: symbol lookup
error: undefined symbol: PyType_Type (continued)
undefined symbol: PyType_Type	(/usr/lib/python2.5/site-packages/gmenu.so)
      2786:	/usr/lib/python2.5/site-packages/gmenu.so: error: symbol lookup
error: undefined symbol: _Py_NoneStruct (continued)
undefined symbol: _Py_NoneStruct	(/usr/lib/python2.5/site-packages/gmenu.so)
      2786:	/usr/lib/python2.5/site-packages/gmenu.so: error: symbol lookup
error: undefined symbol: PyString_Type (continued)
undefined symbol: PyString_Type	(/usr/lib/python2.5/site-packages/gmenu.so)
Unused direct dependencies:
	
	/lib/libgio-2.0.so.0
	/lib/libgobject-2.0.so.0
	/lib/libgmodule-2.0.so.0
	/lib/libdl.so.2
	/lib/libglib-2.0.so.0
	/usr/lib/libgnome-menu.so.2

Version-Release number of selected component (if applicable):
gnome-menus-2.22.2-1.fc9.i386
Comment 1 Jonathan Blandford 2008-04-18 11:47:57 EDT
prolly a binding bug, but an easy workaround is to 'import gobject' before
importing gmenu.  Can you file this upstream?
Comment 2 Luke Macken 2008-04-18 12:11:55 EDT
(In reply to comment #1)
> prolly a binding bug, but an easy workaround is to 'import gobject' before
> importing gmenu.  Can you file this upstream?

Thanks Jonathan, that workaround worked.
Bug filed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=528769
Comment 3 Deji Akingunola 2008-04-19 17:23:48 EDT
gnome-menus-2.22.2-1.fc9 is not in rawhide, neither can't I find it in koji, typo?
Comment 4 Luke Macken 2008-04-19 18:40:38 EDT
Hmm, not a typo.  2.22.2 is in CVS, but doesn't seem to be listed in koji.  I
spun a rawhide livecd a day or two ago, and pulled it in.